program rf60X_measure_uart;


{$APPTYPE CONSOLE}
{$ IFDEF UNICODE}

uses
SysUtils,rf60xunittypes in 'rf60xunits/rf60xunittypes.pas';

var
  Name: string;
  i: integer;

  config: config_base_information_rf60x_t;

  hello: rf60x_uart_hello_t;

  rf60x: THandle;

begin

  WriteLn('init :', init);

  WriteLn('version : ', version());

  config.SCANNER_TYPE := TScanner_types.kRF60x;
  config.protocol := TProtocol_types.kRIFTEK_BIN_PROTOCOL;
  config.number_serial_port := 'COM11';
  config.BAUR_RATE_UART := TBAUR_RATE_UART.Baud9600;
  config.network_address := 1;

  rf60x := create_rf60x(config);

  Writeln(open_port_uart(rf60x)) ;

  change_config_port_uart(rf60x);

  hello:=hello_msg_uart(rf60x);

  WriteLn('Serial number : ', hello.deviceSerial, '\n  Device type :', hello.deviceType );

  close_port_uart(rf60x);

  cleanup();

  readln(Name);

end.





